#ifndef BASEMONITOR_H
#define BASEMONITOR_H
#include "uosai_global.h"

#include <QObject>
#include <QThread>

namespace  uos_ai {

class BaseMonitor : public QThread
{
public:
    static BaseMonitor *instance();

protected:
    explicit BaseMonitor(QObject *parent = nullptr);
Q_SIGNALS:
    virtual void mousePress(int x, int y) = 0;
    virtual void mouseRelease(int x, int y) = 0;
    virtual void keyEscapePress() = 0;
};
}

#endif // BASEMONITOR_H
